Last Comment Bug 753797 - YouSendIt password does not get cleared from password manager if it's no longer valid
: YouSendIt password does not get cleared from password manager if it's no long...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: unspecified
: x86 All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Mike Conley (:mconley) - (Needinfo me!)
:
Mentors:
Depends on:
Blocks: BigFiles
  Show dependency treegraph
 
Reported: 2012-05-10 08:24 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2012-05-15 07:36 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch v1 (2.14 KB, patch)
2012-05-10 08:25 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details | Diff | Splinter Review
handle changed password (2.06 KB, patch)
2012-05-14 13:03 PDT, David :Bienvenu
mozilla: review+
mozilla: approval‑comm‑aurora+
mozilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-05-10 08:24:10 PDT
STR:

1)  Create a new YouSendIt Filelink account. When the password prompt comes up, give it something incorrect, but tell it to save the password.
2)  When the authorization error is displayed, click "Set up Account" again

What happens?

The dialog attempts to reauthorize using the saved password, which doesn't give the user a chance to correct it.

What's expected?

If authorization fails, the user's saved password should get wiped out so that we reprompt.
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2012-05-10 08:25:08 PDT
Created attachment 622740 [details] [diff] [review]
Patch v1

Here's my first crack at it.
Comment 2 David :Bienvenu 2012-05-14 13:03:45 PDT
Created attachment 623781 [details] [diff] [review]
handle changed password

Sorry for the delay. I tried to test this by changing my password on the YSI site, and ran into a couple problems. I've attached a patch that detects the error code in that case (400). With that change, we eventually figure out that the password is bad and reprompt the user. It's not seamless, in the sense that the first upload fails, and the second upload causes us to reprompt for the password. But it's a hella-better than what we have now. r+ with that change.

For extra credit, we could pre-fill in the password prompt with the previous password, and do the retry/cancel/enter new password thing. I'm a little worried that we really don't know why the password failed, and if it's just a temporary outage on the YSI server, permanently forgetting the password might mess up the user. They can always reset it on the YSI web-site, of course, and perhaps this won't be a big problem. It doesn't seem to have been an issue so far.
Comment 3 Mike Conley (:mconley) - (Needinfo me!) 2012-05-15 07:36:39 PDT
Thanks for the assist, David!

comm-central: https://hg.mozilla.org/comm-central/rev/b4c56e6d36b2
comm-aurora: https://hg.mozilla.org/releases/comm-aurora/rev/2516d54a6212
comm-beta: https://hg.mozilla.org/releases/comm-beta/rev/f1ce538da8af

Note You need to log in before you can comment on or make changes to this bug.